
QGIS Application - Bug report #11189

No shp edit mode when query used?

2014-09-11 03:43 PM - James Harvey

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 19501

Description

I am using a feature subset query that i can't edit via the query builder. I am using rule based layers as well, but I noticed that with this

combination I cannot edit the SHP file - I wanted to do a copy and paste from another SHP file. Is this done for any reason or can editing

be supported with this mode?

At the moment my only work around is to open the files without these queries attached and then do a copy and paste and then save on

them.

Unsure if this is a bug or a feature request.

Related issues:

Duplicated by QGIS Application - Bug report # 11196: Filtered layers editing ... Closed 2014-09-12

Duplicated by QGIS Application - Bug report # 17686: filter does not allow da... Closed 2017-12-12

History

#1 - 2014-09-11 03:44 PM - Nathan Woodrow

- Resolution set to up/downstream

- Status changed from Open to Closed

Unfortunately this is a limitation with the OGR driver.  Once you set a filter on a layer we loose edit ability.

#2 - 2014-09-11 04:18 PM - Jürgen Fischer

See also http://lists.osgeo.org/pipermail/qgis-developer/2014-September/034609.html ff

#3 - 2018-01-02 07:59 PM - Jürgen Fischer

- Duplicated by Bug report #17686: filter does not allow data modification added
